post
https://sandbox.checkhq.com/report_runs
Creates a report run asynchronously.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Creates a new report run in the generating status and starts report generation asynchronously.
Poll GET /report_runs/{report_run} or listen for report_run webhooks until status is completed or failed. When completed, download the file from result.url.
Report generation may take up to 20 minutes. Data that report runs rely on may be up to 10 minutes out of date. Create requests are rate limited to 1 per second per partner, with a maximum of 20 report runs generating at once.
report and parameters are required. You may optionally set company and metadata. Supply an X-Idempotency-Key header to safely retry creation without starting duplicate jobs.
payroll_journal parameters
payroll_journal parameters| Parameter | Type | Required | Description |
|---|---|---|---|
payday_from | string (date) | Yes | Inclusive start of the payday range (YYYY-MM-DD). |
payday_to | string (date) | Yes | Inclusive end of the payday range (YYYY-MM-DD). |
payroll | string | No | Limit the report to a single payroll ID. |
group_by | string | No | Group output by workplace. |
contractors | boolean | No | Include contractor payments. Defaults to false. |
taxable_wages | boolean | No | Include taxable wage columns. Defaults to false. |
gross_taxable_wages | boolean | No | Include gross taxable wage columns. Defaults to false. |
additional_columns | array | No | Extra columns to include. Allowed values are employee.id, contractor.id, payroll.id, or employee.metadata.<key>. |
payroll_summary parameters
payroll_summary parameters| Parameter | Type | Required | Description |
|---|---|---|---|
payday_from | string (date) | Yes | Inclusive start of the payday range (YYYY-MM-DD). |
payday_to | string (date) | Yes | Inclusive end of the payday range (YYYY-MM-DD). |
payroll | string | No | Limit the report to a single payroll ID. |
contractors | boolean | No | Include contractor payments. Defaults to false. |
taxable_wages | boolean | No | Include taxable wage columns. Defaults to false. |
gross_taxable_wages | boolean | No | Include gross taxable wage columns. Defaults to false. |
additional_columns | array | No | Extra columns to include. Allowed values are employee.id, contractor.id, or employee.metadata.<key>. |

